Skip to main content
POST
/
sessions
/
{id}
/
chat
Send chat message
curl --request POST \
  --url https://app.harmonica.chat/api/v1/sessions/{id}/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "participant_id": "<string>",
  "participant_name": "<string>"
}
'
{
  "message": {
    "role": "assistant",
    "content": "<string>",
    "is_final": true
  },
  "thread_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your key as a Bearer token. Keys use the format hm_live_<32 hex chars>. Generate keys from your Harmonica dashboard settings.

Path Parameters

id
string<uuid>
required

Session ID

Body

application/json

Send a message in a conversational facilitation session.

content
string
required

The participant's message

participant_id
string
required

Unique identifier for the participant (e.g. Telegram user ID)

participant_name
string
required

Display name of the participant

Response

Facilitator response

Facilitator response to a chat message.

message
object
required
thread_id
string
required

The participant's thread ID in this session